Subject: FVWM: Re: Notification: incoming/1002

From: Dan Espen <[email-masked]>
Date: Mon, 24 Mar 2003 13:02:11 -0500

Volker Reichelt <[email-masked]> writes:
> Hi Dan,
> 
> I've got some more information on the problem:
> I tried fvwm 2.5.6 with fvwm-themes-0.6.2 at home and ended
> up with the same problem: the screen goes black, when I hit
> the right mouse button in an nedit window.
> 
> So it's quite reproducible for me, although the computers are
> quite different:
> 
> * Dual Pentium IV board,
>   XFree 4.2.0,
>   nvidia graphics board,
>   Linux from scratch
> 
> * Dual Pentium II board,
>   XFree 4.0.2,
>   Permedia 2 graphics board (uses xglint),
>   SuSE 7.1 distro
> 
> The problem does not occur when I use plain fvwm 2.5.x.
> But if I use the default theme of fvwm-themes-0.6.2
> (I didn't try a different version), I get the black screen.
> 
> The graphics card seems to go into blank mode, because my
> monitor makes a clicking sound, when the the screen gets black.
> 
> Any idea how to track the problem down?
> Maybe trying to strip off everything of the default theme until
> the problem disappears?

Please always send mail to one of the fvwm lists.
In this case, [email-masked] will do.

I closed your bug report based on this input from S. Anderson:

I found this bug report on the nedit site.
http://sourceforge.net/tracker/index.php?func=detail&aid=468569&group_id=11005&atid=111005
it says:

->>>>>>
  Date: 2002-06-20 19:53
  Sender: tringali
  Logged In: YES 
  user_id=11321

  We had problems with right-clicking with lock keys on.  
  That's been fixed in 5.3, but only to the extent that the menu 
  will not show if the lock keys are down.  But it won't lock up.

  In KDE, you might want to disable the "grab the right mouse
  button" flag.  It tends to screw up Motif bad.

  Also, send the first few lines from Help>Version.  If you're
  not
  running the binary from nedit.org, try that.  That's built with 
  the real Motif and behaves better.
<<<<<<-

I just checked, this window blanking bug does happen while using kde's 
window manager too.

I'm still not clear on what causes the problem, but it appears to
be an nedit problem.

-- 
Dan Espen                           E-mail: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].